Name:           q4wine
Version:        0.120
Release:        5%{?dist}
Summary:        Qt4 GUI for wine

Group:          Applications/Emulators
License:        GPLv3
URL:            http://q4wine.brezblock.org.ua/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:         q4wine-0.120-qtsingleapp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel cmake
BuildRequires:  qtsingleapplication-devel
BuildRequires:  desktop-file-utils
BuildRequires:  fuseiso icoutils
Requires:       wine-core fuseiso icoutils

ExclusiveArch:  %{ix86} x86_64

%description
Q4Wine is a qt4 GUI for wine. It will help
you manage wine prefixes and installed applications.

General features:
* Can export QT color theme into wine colors settings.
* Can easy work with different wine versions at same time;
* Easy creating, deleting and managing prefixes (WINEPREFIX);
* Easy controlling for wine process;
* Autostart icons support;
* Easy cd-image use;
* You can extract icons from PE files (.exe .dll);
* Easy backup and restore for managed prefixes.
* Winetriks support.

%prep
%setup -q
%patch0 -p1 -b .qtsingleapp

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DWITH_WINETRIKS=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# broken © symbol
iconv -f koi8-u -t utf8 LICENSE > LICENSE.utf
mv LICENSE.utf LICENSE

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}%{_datadir}/applications/q4wine.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_bindir}/q4wine*
%{_libdir}/q4wine
%{_datadir}/applications/q4wine.desktop
%{_mandir}/man1/q4wine*.gz
%{_datadir}/pixmaps/q4wine.png
%{_datadir}/q4wine

%changelog
* Wed Nov 10 2010 Dmitrij S. Kryzhevich <krege@land.ru> 0.120-5
- Use system qtsingleapplication.

* Mon Nov 01 2010 Dmitrij S. Kryzhevich <krege@land.ru> 0.120-4
- Add ExclusiveArch, there no wine for non *86 archs.

* Wed Oct 27 2010 Dmitrij S. Kryzhevich <krege@land.ru> 0.120-3
- Put desktop-file-validate to proper place.
- Own %%{_libdir}/q4wine.

* Tue Oct 26 2010 Dmitrij S. Kryzhevich <krege@land.ru> 0.120-2
- post and postun scripts added.
- Source0 changed for Packaging:SourceURL.
- fix for © symbol in LICENSE.

* Wed Oct 06 2010 Dmitrij S. Kryzhevich <krege@land.ru> 0.120-1
- initial build.
